require 'httparty'

module RailsIbm
  module Uprofile
    module Async
      def self.Requests(uris, headers)
        threads = []
        responses = []

        [uris].flatten.each do |uri|
          threads << Thread.new do
            responses << HTTParty.get(uri, headers: headers)
          end
        end

        # wait for threads to finish before ending program.
        threads.each { |t| t.join }
        OpenStruct.new(body: "[#{responses.map(&:body).join(",")}]", code: 200)
      end
    end
  end
end
