module RailsIbm
  module Uprofile
    module Bluepages
      class Mapper
        private

        def parse_user(response, dig_params, remap: true)
          user_info = response.dig(*dig_params)
          return nil if user_info == nil

          if user_info.is_a?(Array)
            user_info.map { |user| remap_obj(data: user, remap: remap) }
          else
            remap_obj(data: user_info, remap: remap)
          end
        end

        def remap_obj(data:, remap: true)
          return data unless remap

          user = {
            uid: data[:uid],
            name: data[:nameFull],
            email: data[:preferredIdentity],
            shortname: data[:nameDisplay] || data[:nameFull]
          }

          user[:is_manager] = data[:employeeType][:isManager] if data[:employeeType] != nil && data[:employeeType][:isManager] != nil
          user
        end
      end
    end
  end
end
