require_relative 'search'

module RailsIbm
  module Uprofile
    module Bluepages
      class Uid < Search
        def search_type
          'uid'
        end

        def search_results(parsed:, remap:)
          return JSON.parse @response.body, symbolize_names: true unless parsed
          results = {}

          @query.compact.each do |query_term|
            results.merge!("uid_#{query_term}".to_sym => result_for(query_term, remap))
          end

          results
        end
      end
    end
  end
end